Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class SourceFileOrDirectoryFilter

    java.lang.Object
      net.sourceforge.pmd.cpd.SourceFileOrDirectoryFilter

All Implemented Interfaces:
  java.io.FilenameFilter

public class SourceFileOrDirectoryFilter
extends java.lang.Object
implements java.io.FilenameFilter

Filtering of directories en wanted source files.

Constructor Summary
`SourceFileOrDirectoryFilter(SourceFileSelector fileSelector)` Public constructor

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceFileOrDirectoryFilter

    public SourceFileOrDirectoryFilter(SourceFileSelector fileSelector)

  Public constructor

Parameters:
  `fileSelector` - the FileSelector that knows what source files to accept

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String filename)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.